<?php

namespace Schaffen\Fiscal\NfeDownloader\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Fiscal\NfeDownloader\Models\NFe;

class NFeRepository extends Repository
{

    protected $connection = "dynamicdb";
    protected $model = NFe::class;
    public function injectFiltersOnQuery()
    {
        $data_inicial = null;
        $data_final = null;

        extract($this->filters);

        $this->query->when($data_inicial, function ($query) use ($data_inicial) {
            return $query->where("nfi_data_hora_emissao", '>=', "{$data_inicial} 00:00:00");
        });
        $this->query->when($data_final, function ($query) use ($data_final) {
            return $query->where("nfi_data_hora_emissao", '<=', "{$data_final} 23:59:59");
        });

        parent::injectFiltersOnQuery();
    }
}